--[[
	82
	v1.0.0

	2
]]
CalendarExtras = {}

local core = CalendarExtras

core.modules = {}

 --[[ ------------------------ ]]--

LibStub("AceEvent-3.0"):Embed(core)

function core.NewModule(name, madeForBuild)
	local build = (select(2, GetBuildInfo()))
	if madeForBuild and tonumber(build) ~= madeForBuild then -- Things are bound to break after patches, so lets just discard things until I've prepared an update
		print("CalendarExtras module \""..name.."\" was made for WoW build "..madeForBuild.." and you're running build "..build..". Please update CalendarExtras to enable functionality.")
		return
	end
	local module = {}
	core.modules[name] = module
	LibStub("AceHook-3.0"):Embed(module)
	LibStub("AceEvent-3.0"):Embed(module)
	return module
end

function core:ADDON_LOADED(event, addon)
	if addon == "CalendarExtras" then
		core:UnregisterEvent("ADDON_LOADED")
		core.ADDON_LOADED = nil

		if not CalendarExtrasDB then CalendarExtrasDB = {} end
		core.db = CalendarExtrasDB

		for _, module in pairs(core.modules) do
			if module.OnInitialize then
				module.OnInitialize()
				module.OnInitialize = nil
			end
		end
	end
end
core:RegisterEvent("ADDON_LOADED")